<?php
namespace Grav\Plugin;


use \Grav\Common\Plugin;


class ShortcodeExternalCallerPlugin extends Plugin
{
  /**
   * @return array
   */
  public static function getSubscribedEvents()
  {
    return [
      'onShortcodeHandlers' => ['onShortcodeHandlers', 0],
      'onTwigTemplatePaths' => ['onTwigTemplatePaths', 0],
    ];
  }

  /**
   * Add current directory to twig lookup paths.
   */
  public function onTwigTemplatePaths()
  {
    $this->grav['twig']->twig_paths[] = __DIR__ . '/templates';
  }

  /**
   * Initialize configuration
   */
  public function onShortcodeHandlers()
  {
    $this->grav['shortcode']->registerAllShortcodes(__DIR__.'/shortcodes');
  }
}
